#ifndef XSNMPLOG_HEADER
#define XSNMPLOG_HEADER

char      *copyright = "xsnmplog\n"                       \
                       "Copyright 2002\n"                \
                       "Marc Niegowski\n"                 \
                       "Systems Programmer at large\n"    \
                       "Connectivity, Inc.\n\n"           \
                       "23 W. Fourth Street\n"            \
                       "Media, PA  19063-2805\n"          \
                       "USA\n\n"                          \
                       "Phone:\t610-566-0227\n"           \
                       "Fax:\t610-566-0641\n\n"           \
                       "Web:\thttp://www.marcsweb.com/\n" \
                       "Ftp:\tftp://ftp.marcsweb/com/\n"  \
                       "Email:\tMarc@Tech-Center.com\n";

#define VERSION "1.2.5 Beta"

#ifndef CMDNAME
#define CMDNAME "snmplogd"
#endif

#ifndef CMDPATH
#define CMDPATH "/usr/local/snmplog/" CMDNAME
#endif

#ifndef LOGFILE
#define LOGFILE "/var/log/snmplog/snmplog.messages"
#endif

#ifndef ICNPATH
#define ICNPATH "/usr/local/snmplog/icon.xpm"
#endif

#ifndef TIMER
#define TIMER          5           // Refresh timer in seconds.
#endif

#define WINDOW_WIDTH   500         // Window width in pixels.
#define WINDOW_HEIGHT  400         // Window height in pixels.
#define MESSAGE_WIDTH  WINDOW_WIDTH// Status message box width.
#define MESSAGE_HEIGHT 60          // Status message box height.
#define COLUMN_WIDTH   100         // Width of 1st. column in pixels.

#define        BUFFER_SIZE 1024

#define        COLOR_R     0
#define        COLOR_G     1
#define        COLOR_B     2
#define        COLOR_K     3

#ifdef  DEBUG
#define DIAG(func) printf("***DEBUG*** In function \"%s\".\n", func);
#else
#define DIAG(func)
#endif

char   *gtb1[] =
{
    "Insert",
    "Send:",
    "Recv:",
    "action:",
    "system ",
    "WAN ",
    "sizeof(",
    "(AC ",
    "IP=",
    "<--",
    0
};

char   *gtb2[] =
{
    " free ",
    " ping ",
    "bfree=",
    " System ",
    0
};

GdkColormap   *colormap;
GdkColor       color[4];

#define        BUFFER_SIZE 1024

#define        COLOR_R     0
#define        COLOR_G     1
#define        COLOR_B     2
#define        COLOR_K     3

typedef
struct
{
    GtkWidget *clist,
              *button_run,
              *checkbutton,
              *bbox,
              *label,
              *dialog;
    int        tag;
    char       buffer[BUFFER_SIZE],
              *label_start,
              *label_stop;
    unsigned
    int        handler;
    int        fd;
    int        scroll;
    int        autoscroll;
} data;

int     counter;
int     pipefd[2];

gint  timer(gpointer);
void  update(data *);
void  format(char *);
int   editcolor(char *);
void  editnum(char *, int);
int   forkcmd(char, char *, int);
int   readlog(int, char *);
void  event_run(GtkButton *, gpointer);
void  event_flush(GtkButton *, gpointer);
void  event_autoscroll(GtkButton *, gpointer);
int   event_delete(GtkWidget *, GdkEvent *, gpointer);
void  event_destroy(GtkWidget *, gpointer);

#endif
